import { Component, OnInit, AfterViewInit, ViewChild } from '@angular/core';
import { IgxGridComponent, IComboSelectionChangeEventArgs } from 'igniteui-angular';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit, AfterViewInit {
  @ViewChild("grid1", { read: IgxGridComponent, static: true })
    public grid1: IgxGridComponent;
    
  title = 'kb3648-app1';

  public gridData: any[];
  public comboData: any[];

  constructor(){}

  ngOnInit(): void {
    this.comboData=[
      "文学部",
      "経済学部",
      "法学部",
      "理学部"
    ];

    this.gridData = [
      { ID: 0, Faculty: ["文学部"], FamilyName: "相田", FirstName: "早希" },
      { ID: 1, Faculty: ["文学部"], FamilyName: "冨田", FirstName: "結衣" },
      { ID: 2, Faculty: ["法学部"], FamilyName: "高山", FirstName: "御喜家" },
      { ID: 3, Faculty: ["理学部"], FamilyName: "高井", FirstName: "智博" },
    ];
  }

  public ngAfterViewInit() {
  }

  public singleSelection(event: IComboSelectionChangeEventArgs) {
    if (event.added.length) {
      event.newSelection = event.added;
    }
  }
}
